<?php
/**
 * Message Section options
 *
 * @package Theme Palace
 * @subpackage Personify
 * @since Personify 0.1
 */

// Add Message section
$wp_customize->add_section( 'personify_message_section', array(
	'title'             => esc_html__( 'Personify Message Section','personify' ),
	'description'       => esc_html__( 'Personify Message Section options.', 'personify' ),
	'panel'             => 'personify_front_page_panel',
) );

// Message content enable control and setting
$wp_customize->add_setting( 'personify_theme_options[message_section_enable]', array(
	'default'			=> 	$options['message_section_enable'],
	'sanitize_callback' => 'personify_sanitize_switch_control',
) );

$wp_customize->add_control( new Personify_Switch_Control( $wp_customize, 'personify_theme_options[message_section_enable]', array(
	'label'             => esc_html__( 'Personify Message Section Enable', 'personify' ),
	'section'           => 'personify_message_section',
	'on_off_label' 		=> personify_enable_options(),
) ) );

// Show page drop-down setting and control
$wp_customize->add_setting( 'personify_theme_options[message_content_page]', array(
	'sanitize_callback' => 'personify_sanitize_page'
) );

$wp_customize->add_control( 'personify_theme_options[message_content_page]', array(
	'label'           	=> esc_html__( 'Select Page', 'personify' ),
	'description'       => esc_html__( 'Note: Page\'s content will be shown from selected page', 'personify' ),
	'section'        	=> 'personify_message_section',
	'active_callback' 	=> 'personify_is_message_section_enable',
	'type'				=> 'dropdown-pages'
) );
