<?php
/**
 * pagination options
 *
 * @package Theme Palace
 * @subpackage Personify
 * @since Personify 0.1
 */

// Add sidebar section
$wp_customize->add_section( 'personify_pagination', array(
	'title'               	=> esc_html__('Pagination','personify'),
	'description'         	=> esc_html__( 'Pagination section options.', 'personify' ),
	'panel'               	=> 'personify_theme_options_panel',
) );

// Sidebar position setting and control.
$wp_customize->add_setting( 'personify_theme_options[pagination_enable]', array(
	'sanitize_callback' 	=> 'personify_sanitize_switch_control',
	'default'             	=> $options['pagination_enable'],
) );

$wp_customize->add_control( new Personify_Switch_Control( $wp_customize, 'personify_theme_options[pagination_enable]', array(
	'label'               	=> esc_html__( 'Pagination Enable', 'personify' ),
	'description'           => esc_html__( 'Note: This pagination option is for blog, archive and search page.', 'personify' ),
	'section'             	=> 'personify_pagination',
	'on_off_label' 			=> personify_enable_options(),
) ) );

// Site layout setting and control.
$wp_customize->add_setting( 'personify_theme_options[pagination_type]', array(
	'sanitize_callback'   => 'personify_sanitize_select',
	'default'             => $options['pagination_type'],
) );

$wp_customize->add_control( 'personify_theme_options[pagination_type]', array(
	'label'               => esc_html__( 'Pagination Type', 'personify' ),
	'section'             => 'personify_pagination',
	'type'                => 'select',
	'choices'			  => personify_pagination_options(),
	'active_callback'	  => 'personify_is_pagination_enable',
) );
